%undefine       _cmake_in_source_build
%global _vpath_srcdir src
%global commit  e425a5acfffc3412c9f5f8184f4ed737846e87d1

Name:           qtgreet
Version:        1.0.0
Release:        0.1%{?dist}
Summary:        Qt based greeter for greetd

License:        GPL-3.0-or-later
URL:            https://gitlab.com/marcusbritanicus/QtGreet
Source:         %{url}/-/archive/v%{version}/QtGreet-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  qt5-qtbase-private-devel

Requires:       greetd >= 0.6
Provides:       greetd-greeter = 0.6
Provides:       greetd-%{name} = %{version}-%{release}

%description
%{summary}.


%prep
%autosetup -n QtGreet-v%{version}-%{commit}


%build
%cmake
%cmake_build


%install
%cmake_install

install -D -m 0644 -pv -t %{buildroot}%{_sysconfdir}/%{name} \
    configs/config.ini configs/wayfire.ini
install -D -m 0644 -pv -t %{buildroot}%{_datadir}/%{name}/backgrounds \
    backgrounds/*


%check
%ctest


%files
%license LICENSE 
%doc README.md
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.ini
%config(noreplace) %{_sysconfdir}/%{name}/wayfire.ini
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Tue Aug 30 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.0.0-0.1
- Initial package
